Skip to main content
Infrastructure/OTA Upgrade Plans

GetPlanSummary

Retrieve a summary of a graduated upgrade plan with batch statistics

GET/api/v1/lifecycle/upgrade-plans/{planId}/summary

Operation ID

GetPlanSummary

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • planId
    StringRequired

    ID of the graduated plan to summarize

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • planId
    String

    ID of the graduated plan this summary covers

    Example: plan-a1b2c3d4-e5f6-7890-abcd-ef1234567890

  • status
    String

    Current overall status of the graduated plan

    Example: running

  • totalAgents
    Integer

    Total number of agents targeted by this plan

    Example: 50

  • completedCount
    Integer

    Number of agents that have successfully completed the upgrade

    Example: 30

  • failedCount
    Integer

    Number of agents that have failed the upgrade

    Example: 2

  • pendingCount
    Integer

    Number of agents that have not yet started the upgrade

    Example: 18

  • failureRate
    Long

    Current failure rate as a fraction of total targeted agents

    Example: 0.04